package ipl;


public class Mat {

    public static void print(double a[][]) {
        for (int i = 0; i < a.length; i++) {
            for (int j = 0; j < a[0].length; j++)
                System.out.print(a[i][j] + " ");
            System.out.println();
        }
    }

    public static double sum(double a[][]) {
        double s = 0;
        for (int i = 0; i < a.length; i++)
            for (int j = 0; j < a[0].length; j++)
                s += Math.abs(a[i][j]);
        return s;
    }

    public static void normalize(double a[][]) {
        scale(a, 1 / sum(a));
    }

    public static void scale(double a[][], double k) {
        for (int i = 0; i < a.length; i++) {
            for (int j = 0; j < a[0].length; j++)
                a[i][j] *= k;
        }

    }

}